

Components
==========
  https://lcsc.com/


  - ESP32-WROVER-E (has PSRAM compared to wroom, the IE version doesn't have pcb antenna)
    https://www.mouser.de/ProductDetail/Espressif-Systems/ESP32-WROVER-EM213EH2864PH3Q0?qs=sGAEpiMZZMu3sxpa5v1qrgqRbH4gaXhhyqOoBsYWKak%3D
  - HX711 ADC for weight scale
    mouser doesn't have it?


Tools
=====
  - easyeda has lcsc library, to import in kicad use:
    https://wokwi.com/easyeda2kicad


Capacitor List
--------------
  - 22u   3x (2x esp32 power + 1x ESP_VDD)
    - options: CL21A226MAQNNNE  25V   $0.05 (basic part)
               CL10A226MQ8NRNC  6.3V  $0.02 (basic part)
  - 10u   2x (1xHX_VDD + 1xHX signal)
    - options: 
      CL21A106KAYNNNE  25V  $0.03
      CL10A106KP8NNNC  10V  $0.0185
             
  - 0.1u  9x (2x programmer button + 1x ESP_EN + 1xESP_VDD + 2xHX_VDD + 3xHX_SIGNAL )  
      - options  C1005X7R1H104KT000F  50V $0.012  (extended part, but huge stock)


Resistor List
-------------
  - 100 
        0603WAF1000T5E 
  - 200 ( 2x HX_SIGNAL)
        0603WAF2000T5E
  - 8.2k (1x HX_SIGNAL)
      - 0603WAF8201T5E 
  - 20k  (1x HX_SIGNAL)
      - 0603WAF2002T5E 1% 1/10W $0.0022
  - 10k  (1x ESP_VDD)
      - 0603WAF1002T5E 1% 1/10W $0.0025

Related open source PCBs
========================



ESP32 Circuit
=============
  - based on 
    https://www.espressif.com/sites/default/files/documentation/esp32-wrover_datasheet_en.pdf  
    and 
    https://dl.espressif.com/dl/schematics/esp32_devkitc_v4-sch.pdf
  - further resource https://github.com/adafruit/adafruit-HUZZAH32-ESP32-Feather-PCB
  - removed the USB programmer (connected externally once then OTA)
  - Delay power up circuit:
     data sheet example is 10k and 0.1u with tau=0.001s
     to use same resistor multiple times, changed to 20k
      

Requirements HX711
==================
  - 

Power Circuit Design
====================
- Goal: power by typical outdoor power supply
- googled around and found Texas Instruments LM2596SX
- they have a tool here to design circuit
  - https://webench.ti.com/power-designer
- Selected Parameters  
  - Input 12V - 25V
  - Output 5V at 0.8A 
    (0.8A because for higher currents I couldn't find the suggested components on JLCPCB)
  - Temp 30
- From the tool selected components that JLCPB offers
  - Input Cin: UUD1H221MNL1GS (Nichicon)
  - Diode D1: SS26FL (Fairchild Semiconductors)
  - Inductor: SLF12575T-151M1R5-PF (TDK)
  - Outout Cout: 2x TPSA105K035R3000 (AVX)
- Open Questions
  - ESP32 datasheet mentions 0.5A, so 0.8A design should be enough?
    
  - to be safe I convert from 24V -> 5V using switching power supply
    and later 5V -> 3.3V using linear regulator
    that way I can also optionally connect 5V USB
    is it better to directly go to 3.3V ?

    